Subject: Re: bug#50067: Context menus

From: Juri Linkov <[email-masked]>
Date: Wed, 18 Aug 2021 21:40:19 +0300

>> I guess the presence of the title should be platform-dependent.
>> For example, without a title it looks great on the GTK build.
>
> What happens if the GTK build displays a TTY frame?  Isn't the menu
> definition global, and thus doesn't distinguish between frame types?

The menu definition is constructed dynamically, so it possible
to set the title when (framep (selected-frame)) returns t on tty.